Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224489 - HPN support in openssh
Summary: HPN support in openssh
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL: http://www.psc.edu/networking/project...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 21:49 UTC by Rimma Ashkinadze
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: openssh-4.7p1-1.fc8
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-07 06:54:42 UTC


Attachments (Terms of Use)

Description Rimma Ashkinadze 2007-01-25 21:49:41 UTC
Description of problem:
No HPN (High Performance Networking) support in distributed version of openssh.

from Abstract on http://www.psc.edu/networking/projects/hpn-ssh/ :
SCP and the underlying SSH2 protocol implementation in OpenSSH is network performance limited by 
statically defined internal flow control buffers. These buffers often end up acting as a bottleneck for 
network throughput of SCP, especially on long and high bandwith network links. Modifying the ssh 
code to allow the buffers to be defined at run time eliminates this bottleneck. We have created a patch 
that will remove the bottlenecks in OpenSSH and is fully interoperable with other servers and clients. In 
addition HPN clients will be able to download faster from non HPN servers, and HPN servers will be able 
to receive uploads faster from non HPN clients. However, the host receiving the data must have a 
properly tuned TCP/IP stack. 

This patch is important for performance on high bandwidth networks.

Comment 1 Jarod Wilson 2007-07-12 19:40:09 UTC
+1 for adding this, along with seeing if we can help convince upstream to take it...

Comment 2 D. Hugh Redelmeier 2007-07-17 21:08:51 UTC
upstream might be doing something finally.  Not clear. 
https://bugzilla.mindrot.org/show_bug.cgi?id=1337

Comment 3 Tomas Mraz 2007-09-07 06:54:42 UTC
Please test openssh-4.7p1-1.fc8 as soon as it is released (after F8T2 release).

It doesn't contain the full HPN patch, but there are some high-latency
high-bandwith network improvements.



Note You need to log in before you can comment on or make changes to this bug.